MonopolySim <- function(Nplays=1, Override=FALSE) {
    grid.newpage()
    pause <- function () {
        if(interactive()) readline("Pause. Press <Enter> to continue...")
        invisible()
    }
   propertycolors <- c("grey88", "darkslateblue", "grey88", "darkslateblue", "grey88",
        "grey88", "deepskyblue", "grey88", "deepskyblue", "deepskyblue",
        "black", "magenta", "grey88", "magenta", "magenta", "grey88",
        "orange", "grey88", "orange", "orange", "grey88", "red",
        "grey88", "red", "red", "grey88", "yellow", "yellow", "grey88",
        "yellow", "black", "green", "green", "grey88", "green",
        "grey88", "grey88", "blue", "grey88", "blue")
    heights <- widths <- c(1.5, rep(1,9), 1.5)/12
    ycenter <- cumsum(c(1.5, rep(1,9), 1.5)/12)-widths/2
    xcenter <- rep(.75/12, 11)
    ypropcenter <- xpropcenter <- numeric(40)

    if (Nplays < 10 | Override) {

    for (i in 1:11) {
        xpropcenter[i] <- xcenter[i]
        ypropcenter[i] <- ycenter[i]
        vp <- viewport(x=xpropcenter[i], y=ypropcenter[i],
             height=heights[i], width=1.5/12)
        pushViewport(vp)
        grid.rect(gp=gpar(fill=propertycolors[i]))
        upViewport()
    }

    for (i in 2:10) {
        xpropcenter[i+10] <- ycenter[i]
        ypropcenter[i+10] <- 1-xcenter[i]
        vp <- viewport(x=xpropcenter[i+10], y=ypropcenter[i+10],
             height=1.5/12, width=widths[i])
        pushViewport(vp)
        grid.rect(gp=gpar(fill=propertycolors[10+i]))
        upViewport()
    }

   for (i in 1:11) {
        xpropcenter[i+20] <- 1-xcenter[i]
        ypropcenter[i+20] <- rev(ycenter)[i]
        vp <- viewport(x=xpropcenter[i+20], y=ypropcenter[i+20],
             height=heights[i], width=1.5/12)
        pushViewport(vp)
        grid.rect(gp=gpar(fill=(propertycolors[20+i])))
        upViewport()
    }

    for (i in 2:10) {
        xpropcenter[i+30] <- rev(ycenter)[i]
        ypropcenter[i+30] <- xcenter[i]
        vp <- viewport(x=xpropcenter[i+30], y=ypropcenter[i+30],
             height=1.5/12, width=widths[i])
        pushViewport(vp)
        grid.rect(gp=gpar(fill=propertycolors[i+30]))
        upViewport()
    }
    }
    if (Nplays > 0) {
        Nplays <- Nplays + 1
        lands <- numeric(Nplays)
        lands[1] <- 1               # The player starts at Go.
        player <- circleGrob(r=.025, gp=gpar(fill="white"), name="player")
        playerland <- editGrob(player, vp=viewport(x=xpropcenter[lands[1]],
            y=ypropcenter[lands[1]]), name="playerland")
        dicevalue <- textGrob(x=.5, y=.5, "1", name="dicevalue", gp=gpar(col=4, cex=3))
        if (Nplays < 11  | Override) {
        grid.draw(dicevalue)
        grid.draw(playerland) }
        currentthrow <- c(0,1)
        if (Nplays > 1) {
            for (i in 2:Nplays){
                        if (Nplays < 11  | Override) { pause() }
                currentthrow <- sample(1:6, size=2, replace=TRUE)
                lands[i] <- (lands[i-1] + sum(currentthrow) - 1)%%40 + 1
                if (lands[i]==31) lands[i] <- 11
                        if (Nplays < 11 | Override) {
                 grid.edit("playerland", vp=viewport(x=xpropcenter[lands[i]],
                    y=ypropcenter[lands[i]]))
                grid.edit("dicevalue", label=sum(currentthrow), gp=gpar(col=4, cex=3))
                }
            }
        }
    }
    if (Nplays < 11 | Override) {
         pause()
    }
    hist(lands, breaks=seq(.5, 40.5, 1), col=propertycolors,
    xlab="Location", main="",  ylab="Number of Visits", axes=FALSE)
    box()
    axis(2)
    title("Which Property is Landed on Most Often?")
}

