fire.growth <-
function (burnout=0.5, totaltime=20000, movie=FALSE, nrows=100, ncols=100) 
{
#   Fire Growth Simulation program
    region <- matrix(rep(0, nrows * ncols), nrow = nrows, ncol = ncols)
    index <- matrix(rep(0, nrows * ncols), nrow = nrows, ncol = ncols)
    burning <- matrix(numeric(), nrow = 2)
    burning <- cbind(burning, round(0.5 * c(nrows, ncols)))
    region[burning[1, 1], burning[2, 1]] <- 1
    col=palette(c("green", "yellow", "black"))
    N <- 1

    if (movie) {
        vp <- viewport(name = "vp", gp = gpar(fill = "green"))
        grid.rect(gp = gpar(fill = "green"))
        grid.rect(gp = gpar(x = unit(0.95, "npc"), y = unit(0.99, 
        "npc"), height = unit(0.02, "npc"), width = unit(0.05, 
        "npc"), gp = gpar(col = "black", fill = "green")))
    }
    direction <- function(index) {
        c(index%%3, index%/%2) - 1
    }
    for (i in 1:totaltime) {
    if (N == 0) break
    out <- rbinom(1,1,burnout/(4+burnout))    
    if (out==1) {
        region[burning[1], burning[2]] <- 2
        if (movie) {
            pushViewport(vp)
                grid.rect(x = 1/(2 * nrows) + (burning[1] - 1)/nrows, 
                  y = 1 - (1/(2 * ncols) + (burning[2] - 1)/ncols), 
                  height = 1/nrows, width = 1/ncols, 
                  gp = gpar(fill = "black", col = "black"))
                upViewport()
        }
        burning <- burning[-c(1,2)]
        burning <- matrix(burning, nrow=2)
        N <- N-1
   } else {
        activepoint <- sample(1:N, size=1)
        directionindex <- sample(1:4, size=1)
        if (N==1) {
            activeloc <- burning[c(1,2)]+direction(directionindex)
            } else {
            activeloc <- burning[,activepoint] + direction(directionindex)      
            }  
        if (region[activeloc[1], activeloc[2]] == 0) {
            burning <- cbind(burning, activeloc)
            region[activeloc[1], activeloc[2]] <- 1
            N <- N+1
        if (movie) {
            pushViewport(vp)
                grid.rect(x = 1/(2 * nrows) + (activeloc[1] - 1)/nrows, 
                  y = 1 - (1/(2 * ncols) + (activeloc[2] - 1)/ncols), 
                  height = 1/nrows, width = 1/ncols, 
                  gp = gpar(fill = "yellow", col = "yellow"))
                upViewport()
        }
        }
    }
    }
    if(!movie) image(region, col=col)
    invisible()
}

