pictogram <- function(x, shape=triangle, color="red", label=substitute(x), gp=gpar(fill=color,col=NA), units=1) {
    grid.newpage()
    pict.title <- function(x) grid.text(paste("Pictogram of", x, sep=" "), .5, .95, gp=gpar(col=color))
    pict.title(label)
    vp <- viewport(x=.55, y=.55, width=.8, height=.76)
    pushViewport(vp)
    xx <- rev(sort(x))
    if (missing(units)) units <- 10^floor(log(xx[1], 10)/1.2)
    upViewport()
    vp1 <- viewport(x=.35, y=.075, width=.1, height=.1)
    pushViewport(vp1)
    shape(gp=gp)
    upViewport()
    if (abs(units - 1) < .00001) {
        unitch="unit"
    } else {
        unitch="units"
    }
    grid.text(paste("represents ", units, unitch), x=.55, y=.075, gp=gpar(col=color, cex=1.5))
    pushViewport(vp)
    
    x <- xx/units
    n <- length(x)
    for (i in 1:n) {
        pushViewport(viewport(y=(i-.5)/n))
    	for (j in 1:ceiling(x[i])) {
    	    pushViewport(viewport(x=(j-.5)/max(x[1],6), height=1/max(x[1],6), width=1/max(x[1],6)))
            pushViewport(viewport(w=.95, h=.95))
            shape(gp=gp)
    	    upViewport(2)
    	    if (j > x[i]) {
    	    vp3 <- viewport(x=(x[i]+.5)/max(x[1],6), height=1/max(x[1],6), 
     width=1/max(x[1],6), clip=TRUE)
            pushViewport(vp3)
            grid.rect(gp=gpar(fill="white", col=NA))
            upViewport()      
    	    }
    	}    
    	upViewport()
    }
    upViewport()
    pushViewport(viewport(y=.55,height=.76))
    x.names <- names(x)
    for (i in 1:n) {
        grid.text(x.names[i], x=.075, y=(i-.5)/(n), gp=gpar(col=color))
    }
    upViewport()
    pushViewport(vp)
    grid.rect()
}
