plot.list <-
function(x, join=FALSE, include.origin=TRUE, 
       add.labels=FALSE, linetype=1, grid.lines=FALSE, ...) {
    data <- x
    x <- sapply(data, function(x) x[1])
    y <- sapply(data, function(x) x[2])
    if (include.origin) {
        x.range <- c(floor(min(x,0)), ceiling(max(0,x)))
        y.range <- c(floor(min(y,0)), ceiling(max(0,y)))
    } else {
        x.range <- range(x)
        y.range <- range(y)
    }
    plot(x,y,xlim=x.range,ylim=y.range,...)
    if (join) lines(x,y,lty=linetype)
    if (add.labels) {
        label.fn <- function(x,y,data) {
            labels <- sapply(data, function(x) 
            paste("(",as.character(x[1]), ",",as.character(x[2]), ")", sep=""))
            text(x,y,labels,adj=1)
        }
        label.fn(x,y,data)
    }
    if (grid.lines) {
        abline(v=x.range[1]:x.range[2], col="grey")
        abline(h=y.range[1]:y.range[2], col="grey")
    }
}

