\name{dice}
\alias{dice}
\title{
Simulate One Roll of a Pair of Dice 
}
\description{
This function will draw a picture of the faces of two dice
that result from a simulated roll.  
}
\usage{
dice(ndice = 1, plot=TRUE, nrolls=1)
}
\arguments{
  \item{ndice}{A numeric value, currently allowed to be 1 or 2
when plot is TRUE. If 1, then only one die will be rolled.
}
  \item{plot}{A logical value. If TRUE, then one or two dice are
pictured in the graphics device. 
}
  \item{nrolls}{A numeric value, giving the number of dice to
be rolled, if plot = FALSE.}
}
\details{
  The numbers of dots appearing on the two dice faces are generated
from the \link{sample} function which is based on a pseudorandom
number generator.  Repeated ``rolls'' of these dice will give
very similar results to what would happen if real dice were rolled.
}
\value{
A graph showing the top faces of two dice, after an apparently
random roll (if plot=TRUE), or a table showing the observed
frequency distribution of the total number of dots appearing
in nrolls rolls.  
}
\seealso{
\code{\link{sample}}
}
\examples{
dice(ndice=2) # one roll of a pair of dice
dice(plot=FALSE, nrolls=10000, ndice=3) # table of observed frequencies
# when 3 dice are rolled
}
\keyword{models}
