\name{fire.growth}
\alias{fire.growth}
\title{
A Simple Fire Growth Simulator
}
\description{
This function simulates a grass fire on a flat rectangular area under
the assumption of no wind.  
}
\usage{
fire.growth(burnout = 0.5, totaltime = 20000, movie = FALSE, nrows = 100, ncols = 100)
}
\arguments{
  \item{burnout}{a numeric value, indicating the rate at which
a burning cell will die out relative to the rate at which the
fire spreads from cell to cell
}
  \item{totaltime}{an integer value, specifying the number of
changes (or transitions) should take place before stopping the 
program
}
  \item{movie}{a logical value; if TRUE, then the evolving simulated
fire will be observable in the graphics window; if FALSE, then only
the final picture of the simulated fire will be shown
}
  \item{nrows}{
an integer value, specifying the number of grid rows
making up the rectangular area
}
  \item{ncols}{
an integer value, specifying the number of grid columns
making up the rectangular area
}
}
\value{
a picture or sequence of pictures of a simulated fire
}
\author{
W. John Braun
}

\examples{
fire.growth() 
fire.growth(.1) # a much lower burnout rate
fire.growth(.1, movie=TRUE) # a "movie" version
}
\keyword{models}
