\name{plot.list}
\alias{plot.list}
\title{
Plotting Function for a List of Ordered Pairs
}
\description{
A function for plotting ordered pairs, in a form that public
school students will be more familiar with.
}
\usage{
\method{plot}{list}(x, join = FALSE, include.origin = TRUE, add.labels = FALSE, linetype = 1, grid.lines = FALSE, ...)
}
\arguments{
  \item{x}{a list object, containing the ordered pairs, each
of which is of the form c(x,y)
}
  \item{join}{a logical object; if TRUE, join the plotted points
with a line
}
  \item{include.origin}{a logical object; if TRUE, make sure that
the location (0,0) is included on the plot
}
  \item{add.labels}{a logical object; if TRUE, print the values
of the ordered pairs near each plotted point
}
  \item{linetype}{a numeric object specifying the type of line
to be used the points are joined
}
  \item{grid.lines}{a logical object, if TRUE, grid lines are
drawn through the plotting region to resemble ordinary graph
paper
}
  \item{...}{other arguments for \code{plot}}
}
\value{
a graph of the plotted coordinate pairs
}
\author{
W. John Braun
}
\note{
Even though this function is called \code{plot.list}, 
the abbreviation \code{plot} can be used as long as 
the input data are in the form of a list 
}
\examples{
plot.list(list(c(1,3),c(2,5),c(3,4))) # plot 3 ordered pairs
plot.list(list(c(1,3),c(2,5),c(3,4)), add.labels=TRUE) # label the plotted points
plot.list(list(c(1,3),c(2,5),c(3,4)), join=TRUE) # join the plotted points
plot.list(list(c(1,3),c(2,5),c(3,4), c(1,3)), join=TRUE, col="blue") # makes a triangle with blue vertices
}
\keyword{graphics}
