\name{rectangles}
\alias{rectangles}
\title{
Rectangle Patterns
}
\description{
This function can be used to draw rectangular patterns on a grid.
One use is to count the number of smaller rectangles that could
be drawn inside a larger rectangle.
}
\usage{
rectangles(nrow = 2, ncol = 2, col = "white", nrowsmall = 1, ncolsmall = 1, colsmall = "white", ulcornerx = 1, ulcornery = 1)
}
\arguments{
  \item{nrow}{the number of grid rows making up the larger rectangle 
}
  \item{ncol}{the number of grid columns making up the larger rectangle
}
  \item{col}{the colour of the grid cells in the larger rectangle
}
  \item{nrowsmall}{the number of grid rows making up the smaller
rectangle
}
  \item{ncolsmall}{the number of grid columns making up the smaller
rectangle
}
  \item{colsmall}{the colour of the cells making up the smaller
rectangle
}
  \item{ulcornerx}{the horizontal coordinate of the upper left
corner of the smaller rectangle 
}
  \item{ulcornery}{the vertical coordinate of the upper left
corner of the smaller rectangle
}
}
\value{
A graph of a rectangular grid, possibly with an inner
rectangle drawn in a different colour.
}
\examples{
rectangles(nrow=5, ncol=6, col="blue", nrowsmall=3, ncolsmall=2,
   colsmall="yellow", ulcornerx=2, ulcornery=3)
}
\keyword{models}

