\name{spinPoints3D}
\alias{spinPoints3D}
\title{
Plotting and Spinning of Points in 3 Dimensions
}
\description{
This function provides a basic plot of points in 3 dimensions.  The
cloud of points can be rotated about any of the 3 coordinate
axes as well as any combinations of the axes.  The points are scaled
to have the same range in all three coordinate directions.
}
\arguments{
  \item{x}{vector of x-coordinates}
  \item{y}{vector of y-coordinates}
  \item{z}{vector of z-coordinates}
  \item{theta}{change in angle about the z-axis}
  \item{alpha}{change in angle about the x-axis}
  \item{beta}{change in angle about the y-axis}
  \item{n}{maximum number of rotations}
}
\value{
a graph of the plotted points in 3 dimensions which can be
rotated 
}
\author{
W. John Braun
}
\note{
The screen refresh rate affects the appearance of the rotating
points and depends on the number of plotted points.  The function
works best when the number of plotted points is small, preferably
less than 100. 
}
\examples{
x <- rnorm(10)
y <- rnorm(10)
z <- rexp(10)
spinPoints3D(x,y,z,n=1)
}
\keyword{graphics}
